> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usefini.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Action fixtures

> List Action nodes available to script a test scenario.

List Action nodes available to script a test scenario.

Use the returned `ruleId`, `nodeId` and `toolId` together in scenario Action mocks.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token containing your workspace API key. The key needs `read` scope.
</ParamField>

## Query parameters

<ParamField query="botId" type="string" required>
  Agent UUID. The agent must belong to the workspace.
</ParamField>

## Response

Returns an array of Action nodes from the agent's current assigned rules.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001' \
    --header 'Authorization: Bearer fini_your_api_key'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch("https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001", {
    method: "GET",
    headers: {
      Authorization: "Bearer fini_your_api_key",
    },
  });
  if (!response.ok) throw new Error(await response.text());
  const result = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.request(
      "GET",
      "https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001",
      headers={"Authorization": "Bearer fini_your_api_key"},
  )
  response.raise_for_status()
  result = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "ruleId": "00000000-0000-4000-8000-000000000005",
      "ruleName": "Refund workflow",
      "nodeId": "lookup",
      "name": "Check eligibility",
      "toolId": "00000000-0000-4000-8000-000000000006"
    }
  ]
  ```
</ResponseExample>


## Related topics

- [Overview](/en/api-reference/test-suite.md)
- [List actions](/en/api-reference/list-actions.md)
- [Save missing Action mock](/en/api-reference/save-test-suite-missing-action-mock.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.